/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package silab.nst.jsf.konverteri;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;
import javax.inject.Inject;
import silab.nst.jsf.domen.Mesto;
import silab.nst.jsf.service.MestoService;

/**
 *
 * @author student
 */
@FacesConverter(value = "mestoKNV")
public class MestoKonverter implements Converter{

    @Inject
    MestoService mestoService;
    
    
    @Override
    public Object getAsObject(FacesContext context, UIComponent component, String value) {
        
        if (value.isEmpty()) return null;
        Long ptt = Long.parseLong(value);
        return mestoService.vratiMesto(ptt);
//        return null;
    }

    @Override
    public String getAsString(FacesContext context, UIComponent component, Object value) {
        
        Mesto m = (Mesto) value;
        return m.getPtt()+"";
        
    }
    
}
