/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package silab.nst.jsf.validator;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.FacesValidator;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;

/**
 *
 * @author student
 */
@FacesValidator(value = "pibVal")
public class PIBValidator implements Validator{

    @Override
    public void validate(FacesContext context, UIComponent component, Object value) throws ValidatorException {
        
        String pibStr = String.valueOf(value);
        
        if (pibStr.length()!=9){
            throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Pib mora imati tacno devet cifara", ".detalji poruke"));
        }
        
        for(int i = 1;i<pibStr.length();i++){
            
            if (!Character.isDigit(pibStr.charAt(i)))
            throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Pib mora imati tacno devet cifara", ".detalji poruke"));
        }
        
    }
    
}
