/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package silab.nst.jsf.mb;

import java.util.List;
import javax.annotation.PostConstruct;
import javax.enterprise.context.RequestScoped;
import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;
import javax.faces.validator.LengthValidator;
import javax.faces.validator.LongRangeValidator;
import javax.inject.Inject;
import javax.inject.Named;
import silab.nst.jsf.domen.Mesto;
import silab.nst.jsf.service.MestoService;

/**
 *
 * @author student
 */

@Named
@RequestScoped
public class MBObradaMesta {
    
    @Inject
    MestoService mestoService;
    
    private Mesto novoMesto;
    
    
    private List<Mesto> listaMesta;

    public MBObradaMesta() {
        novoMesto = new Mesto();
    }
    
    @PostConstruct
    public void init(){
        listaMesta = mestoService.vratiSvaMesta();
    }

    public Mesto getNovoMesto() {
        return novoMesto;
    }

    public void setNovoMesto(Mesto novoMesto) {
        this.novoMesto = novoMesto;
    }
    
    
    public String sacuvajMesto(){
        
        
        mestoService.sacuvajMesto(novoMesto);
        FacesContext.getCurrentInstance().addMessage(null, new FacesMessage("Mesto je uspesno sacuvano!!!"));
        return null;
    }

    public List<Mesto> getListaMesta() {
        return listaMesta;
    }

    public void setListaMesta(List<Mesto> listaMesta) {
        this.listaMesta = listaMesta;
    }
    
    
}
